SPECK_Base< W > Struct Template Reference

SPECK block cipher base class. More...

`#include <speck.h>`

## Public Types

typedef SecBlock< W, AllocatorWithCleanup< W, true > > | AlignedSecBlock

## Public Attributes

AlignedSecBlock | m_wspace
AlignedSecBlock | m_rkeys
unsigned int | m_kwords
unsigned int | m_rounds

## Detailed Description

template<class W>
struct SPECK_Base< W >

SPECK block cipher base class.

Template Parameters

  W | the word type

User code should use SPECK64 or SPECK128

See also
  SPECK64, SPECK128, SPECK

Since
  Crypto++ 6.0

Definition at line 62 of file speck.h.

## Member Typedef Documentation

## AlignedSecBlock

template<class W >

typedef SecBlock<W, AllocatorWithCleanup<W, true> > SPECK_Base< W >::AlignedSecBlock

Definition at line 67 of file speck.h.

## Constructor & Destructor Documentation

## ~SPECK_Base()

template<class W >

virtual SPECK_Base< W >::~SPECK_Base | ( |  | ) |

inline virtual

Definition at line 64 of file speck.h.

## SPECK_Base()

template<class W >

SPECK_Base< W >::SPECK_Base | ( |  | ) |

inline

Definition at line 65 of file speck.h.

## Member Data Documentation

## m_wspace

template<class W >

AlignedSecBlock SPECK_Base< W >::m_wspace

mutable

Definition at line 68 of file speck.h.

## m_rkeys

template<class W >

AlignedSecBlock SPECK_Base< W >::m_rkeys

Definition at line 69 of file speck.h.

## m_kwords

template<class W >

unsigned int SPECK_Base< W >::m_kwords

Definition at line 70 of file speck.h.

## m_rounds

template<class W >

unsigned int SPECK_Base< W >::m_rounds

Definition at line 71 of file speck.h.

The documentation for this struct was generated from the following file:

- speck.h